import { Lyra, PropertiesSchema, RetrievedDoc, SearchParams } from "@lyrasearch/lyra";
import { Language } from "@lyrasearch/lyra/dist/cjs/src/tokenizer/languages";
export type Position = {
    start: number;
    length: number;
};
export type LyraWithHighlight<S extends PropertiesSchema> = Lyra<S> & {
    positions: {
        [id: string]: {
            [property: string]: {
                [token: string]: Position[];
            };
        };
    };
};
export type SearchResultWithHighlight<S extends PropertiesSchema> = RetrievedDoc<S> & {
    positions: {
        [property: string]: {
            [token: string]: Position[];
        };
    };
};
export declare function afterInsert<S extends PropertiesSchema>(this: Lyra<S> | LyraWithHighlight<S>, id: string): void;
export declare function searchWithHighlight<S extends PropertiesSchema>(lyra: LyraWithHighlight<S>, params: SearchParams<S>, language?: Language): SearchResultWithHighlight<S>[];
